Earlier this month, I wrote an article about PCoIP Technology which shows an Android application (VMWare View) running on an OMAP4 Tablet displaying a Windows 7 desktop. This remote desktop technology relies on a powerful server to do the processing and thin clients (in that case Tablets) to display the desktop. Since only pixels are transferred any OS (supported by the server) could be displayed in the thin client.
That made me wonder if there was an open source PCoIP client that could run on low end Linux client such as the Raspberry Pi. VMWare View Open Client provides just what we need, but is only available in source code so we need to cross-compile it for ARM or build it in an ARM machine. Today, I’ll show the instructions I followed to cross-compile it for ARM in Debian using Emdebian Toolchain.
First download and extract VMware View Open Client 4.5 source code:
1 2 3 |
wget http://vmware-view-open-client.googlecode.com/files/VMware-view-open-client-source-4.5.0-297975.tar.gz tar xzvf <code>VMware-view-open-client-source-4.5.0-297975.tar.gz cd VMware-view-open-client-source-4.5.0-297975 |
Install some tools on the build machine:
1 |
sudo apt-get install intltool |
and some ARM libraries and development packages:
sudo /usr/share/pdebuild-cross/xapt -a armel libicu-dev libcurl3-dev libgtk2.0-0 libboost-signals-dev
Finally, configure, build and install VMWare Open Client:
1 2 3 4 |
LDFLAGS="-L/usr/arm-linux-gnueabi/lib -lboost_signals" ./configure --target=arm-linux-gnueabi \ --host=arm-linux-gnueabi --prefix=/home/jaufranc/edev/vmware-client --with-boost-signals=no make make install |
That’s it! VMWare View for ARM is now ready. You just need to copy the files in the installation directory to your target board.
I have tried it in my Raspberry Pi emulator and after installation some libraries (libcurl3 and libboost-signals1.42.0), vmware-view could run (Screenshot below).
So we now have VMWare View (PCoIP client) running in an ARM emulator, we should then able to “run” any OS – such as Windows 8 – in the Raspberry Pi or other low-end thin clients. Of course, this method only makes sense if you need several thin clients with one server. I have not not fully tested this with a VMWare server, but I’ll surely have a try once the Raspberry Pi board and Windows 8 Consumer Preview are released later this month.
Jean-Luc started CNX Software in 2010 as a part-time endeavor, before quitting his job as a software engineering manager, and starting to write daily news, and reviews full time later in 2011.
Support CNX Software! Donate via cryptocurrencies, become a Patron on Patreon, or purchase goods on Amazon or Aliexpress
That sounds interesting.
I just found out about Raspberry pi and the first thing that came in to my mind was a pcoip client running on it.
Raspberry pi + some fullhd display + keyb + mouse would be a cheap alternative to Samsung NC240 pcoip display.
@ John U
Yes, the price and size of the Raspberry Pi open the door to all sort of applications that may not have been cost effective previously, although the total price of the Raspberry Pi is a bit higher than I expected (around 60 USD after shipping and taxes in the country I live).
I’m planning to try Windows 8 in Raspberry Pi via PCoIP once I get my board.
Hi!
It’s a very interesting subject that could be use on many products. In my case I tried so hard to cross-compil Vmware view to run on a Wyse T50, but I failed…
I hope that i will find a solution, I’m working on it…
Thanks for this instructions.
Let me know if you succeed, and if you don’t, you can always post your error message here (if any), maybe I’ll get an idea.
I’ve given up trying PCoIP for now, because the server setup seems relatively complicated and it apparently requires a paid version of VMWare vSphere.
Hi, working together with juli3n, (with your clever guidelines) and we both need a hand to setup cross-compiling platform (debian squeeze) :
checking for uidna_IDNToASCII in -licuuc… no : configure: error: libicu is required, but not found.
checked, libicu-dev & libicu-dev-armel-cross set up
Please help, you seem to know well how to set up perfectly squeeze ! is there any lack or newer package to set up ?
Thanks for your advices
@ Yann
If libicu-dev and libicu-dev-armel-cross are already installed, you’d better check config.log to see the exact error.
If by any chance, Wyse T50 is running a recent version of Ubuntu, you could also install vmware-view directly by running:
sudo apt-get install vmware-view-open-client
Of course, it exists but native PCOIP doesn’t work, only RDP (We get Remote KMS Container Error from View Server, on the other hand it works on windows thin clients). Well, here is the detailed error point :
checking for uidna_IDNToASCII in -licuuc
configure:10883: g++ -o conftest -g -O2 -DBUILT_BY_root -L/usr/arm-linux-gnueabi/lib conftest.cpp -licuuc -licudata >&5
/usr/bin/ld: skipping incompatible /usr/arm-linux-gnueabi/lib/libicuuc.so when searching for -licuuc
/usr/bin/ld: skipping incompatible /usr/arm-linux-gnueabi/lib/libicuuc.a when searching for -licuuc
/usr/bin/ld: skipping incompatible /usr/arm-linux-gnueabi/lib/libicudata.so when searching for -licudata
/usr/bin/ld: skipping incompatible /usr/arm-linux-gnueabi/lib/libicudata.a when searching for -licudata
/usr/bin/ld: skipping incompatible /usr/arm-linux-gnueabi/lib/libm.so when searching for -lm
/usr/bin/ld: skipping incompatible /usr/arm-linux-gnueabi/lib/libc.so when searching for -lc
/usr/bin/ld: skipping incompatible /usr/arm-linux-gnueabi/lib/libc.a when searching for -lc
/tmp/ccRjxS1b.o: In function
main':
uidna_IDNToASCII_48′/home/user/VMware-view-open-client-source-4.5.0-297975/conftest.cpp:55: undefined reference to
collect2: ld returned 1 exit status
@ Yann
It’s using g++ instead of arm-linux-gnueabi-g++
Have you install the toolchain following the instructions at http://www.cnx-software.com/2012/02/15/cross-compiling-vmware-view-for-arm-linux-in-debianubuntu/ ?
Can you verify arm-linux-gnueabi-g++ installed ?
If it is already installed, you may need to “export CXX=arm-linux-gnueabi-g++”
Hello,
I am trying to follow your ‘how to’ but when I try to run the ./configure command I get a message indicating that glib-2.0 and gmodule-2.0 are missing. Any tip on how to install them?
Thank you
@ Fernando
When packages are missing, you can find them with aptitude and install them with apt-get
http://www.cnx-software.com/2011/10/08/finding-a-missing-package-in-ubuntu-with-aptitude/
If aptitude is not installed on your system, simply run:
sudo apt-get install aptitude
Hello,
I am trying to follow your HOWTO to porting VMware-view for ARM ,
But i got the problem when install Emdebian Toolchain ,
I run # apt-get install pdebuild-cross dpkg-cross and got the messages below.
root@debian:/home/test/Desktop# apt-get install pdebuild-cross
Reading package lists… Done
Building dependency tree
Reading state information… Done
pdebuild-cross is already the newest version.
You might want to run ‘apt-get -f install’ to correct these:
The following packages have unmet dependencies:
dpkg-cross : Depends: libdebian-dpkgcross-perl (= 2.5.8) but it is not installable
libconfig-auto-perl : Depends: libconfig-inifiles-perl but it is not going to be installed
Depends: libxml-simple-perl but it is not going to be installed
Depends: libyaml-perl (>= 0.57-2) but it is not going to be installed
pdebuild-cross : Depends: multistrap (>= 2.1.9) but it is not going to be installed
Depends: pbuilder but it is not going to be installed
xapt : Depends: libconfig-inifiles-perl but it is not going to be installed
E: Unmet dependencies. Try ‘apt-get -f install’ with no packages (or specify a solution).
root@debian:/home/test/Desktop#
Any suggestion/hint is really appreciated.
@ morris
Try to run “apt-get -f install” to complete the installation.
hi ,
I am trying to Cross-compiling VMWare View for ARM Linux follow your howto.
but i got the message when run
LDFLAGS=”-L/usr/arm-linux-gnueabi/lib -lboost_signals” ./configure –target=arm-linux-gnueabi \
–host=arm-linux-gnueabi –prefix=/home/jaufranc/edev/vmware-client –with-boost-signals=no
error massage as below .
checking for C compiler default output file name…
configure: error: C compiler cannot create executables
see ‘config.log’ for more details.
on config.log file , it seems missing -lboost_signals , message as below .
Thread model: posix
gcc version 4.4.5 (Debian 4.4.5-8)
configure:3844: $? = 0
configure:3851: arm-linux-gnueabi-gcc -V >&5
arm-linux-gnueabi-gcc: ‘-V’ option must have argument
configure:3854: $? = 1
configure:3877: checking for C compiler default output file name
configure:3904: arm-linux-gnueabi-gcc -L/usr/arm-linux-gnueabi/lib -lboost_signals conftest.c >&5
/usr/lib/gcc/arm-linux-gnueabi/4.4.5/../../../../arm-linux-gnueabi/bin/ld: cannot find -lboost_signals
collect2: ld returned 1 exit status
configure:3907: $? = 1
configure:3945: result:
configure: failed program was:
| /* confdefs.h. */
| #define PACKAGE_NAME “VMware-view-open-client”
| #define PACKAGE_TARNAME “VMware-view-open-client-source”
| #define PACKAGE_VERSION “4.5.0-297975”
| #define PACKAGE_STRING “VMware-view-open-client 4.5.0-297975”
| #define PACKAGE_BUGREPORT “http://code.google.com/p/vmware-view-open-client/issues/entry”
| #define VIEW_GTK 1
| #define VIEW_POSIX 1
| #define PACKAGE “VMware-view-open-client-source”
| #define VERSION “4.5.0-297975”
| /* end confdefs.h. */
Any suggestion/hint is really appreciated.
@ cnxsoft
hello ,
tks, the embedian toolchain already installed.
hello ,
tks, the embedian toolchain already installed.
@ morris
I had a display problem and the line below did not show entirely:
sudo /usr/share/pdebuild-cross/xapt -a armel libicu-dev libcurl3-dev libgtk2.0-0 libboost-signals-dev
Try to run this again, before running the configure part.
hi , thks your help ,
I had run sudo /usr/share/pdebuild-cross/xapt -a armel libicu-dev libcurl3-dev libgtk2.0-0 libboost-signals-dev
but got warning message below
———————————————————————
After this operation, 333 MB of additional disk space will be used.
WARNING: The following packages cannot be authenticated!
libc-bin gcc-4.4-base libc6 libgcc1 libattr1 libacl1 libselinux1 coreutils libbz2-1.0 zlib1g liblzma2 xz-utils dpkg
perl-base liblocale-gettext-perl libtext-iconv-perl libtext-charwidth-perl libtext-wrapi18n-perl debconf-i18n debconf
libgdbm3 libslang2 libnewt0.52 libpopt0 libssl0.9.8 whiptail libcomerr2 libstdc++6 libmagic1 file libdb4.7 libdb4.8
libgpg-error0 libgcrypt11 libtasn1-3 libgnutls26 libkeyutils1 libkrb5support0 libk5crypto3 libkrb5-3 libgssapi-krb5-2
libgssrpc4 libidn11 libkadm5clnt-mit7 libkdb5-4 libkadm5srv-mit7 libsasl2-2 libldap-2.4-2 libpcre3 perl-modules perl ucf
binutils openssl ca-certificates libgmp3c2 libmpfr4 cpp-4.4 defoma libexpat1 libfreetype6 ttf-dejavu-core
fontconfig-config libfontconfig1 fontconfig libgomp1 gcc-4.4 libc-dev-bin linux-libc-dev libc6-dev libstdc++6-4.4-dev
g++-4.4 comerr-dev krb5-multidev libglib2.0-0 libatk1.0-0 libavahi-common-data libavahi-common3 libdbus-1-3
libavahi-client3 libicu44 libboost1.42-dev libboost-signals1.42.0 libboost-signals1.42-dev libboost-signals-dev
libpixman-1-0 libpng12-0 libxau6 libxdmcp6 libxcb1 libx11-data libx11-6 libxcb-render0 libxcb-render-util0 libxrender1
libcairo2 libcups2 libssh2-1 libcurl3 zlib1g-dev libssl-dev pkg-config libidn11-dev libkrb5-dev libssh2-1-dev
libldap2-dev libcurl4-openssl-dev libdatrie1 libgtk2.0-common libjpeg62 libjasper1 libpango1.0-common libthai-data
libthai0 libxft2 libpango1.0-0 libtiff4 libxext6 libxfixes3 libxcomposite1 libxcursor1 libxdamage1 libxi6 libxinerama1
libxrandr2 libxml2 shared-mime-info libgtk2.0-0 libicu-dev
W: Duplicate sources.list entry http://ftp.tw.debian.org/debian/ squeeze/main armel Packages (/var/lib/xapt/lists/ftp.tw.debian.org_debian_dists_squeeze_main_binary-armel_Packages)
W: Duplicate sources.list entry http://security.debian.org/ squeeze/updates/main armel Packages (/var/lib/xapt/lists/security.debian.org_dists_squeeze_updates_main_binary-armel_Packages)
W: Duplicate sources.list entry http://security.debian.org/ squeeze/updates/contrib armel Packages (/var/lib/xapt/lists/security.debian.org_dists_squeeze_updates_contrib_binary-armel_Packages)
W: Duplicate sources.list entry http://ftp.tw.debian.org/debian/ squeeze-updates/main armel Packages (/var/lib/xapt/lists/ftp.tw.debian.org_debian_dists_squeeze-updates_main_binary-armel_Packages)
W: Duplicate sources.list entry http://ftp.tw.debian.org/debian/ squeeze-updates/contrib armel Packages (/var/lib/xapt/lists/ftp.tw.debian.org_debian_dists_squeeze-updates_contrib_binary-armel_Packages)
W: You may want to run apt-get update to correct these problems
E: There are problems and -y was used without –force-yes
———————————————————————————————————————————-
when run ./configure , i got the same errors as i sent you before .
config.log as below.
———————————————————————————
This file contains any messages produced by compilers while
running configure, to aid debugging if configure makes a mistake.
It was created by VMware-view-open-client configure 4.5.0-297975, which was
generated by GNU Autoconf 2.61. Invocation command line was
$ ./configure –target=arm-linux-gnueabi –host=arm-linux-gnueabi –prefix=/home/test/Desktop/armvm –with-boost-signals=no
## ——— ##
## Platform. ##
## ——— ##
hostname = debian
uname -m = i686
uname -r = 2.6.32-5-686
uname -s = Linux
uname -v = #1 SMP Sun May 6 04:01:19 UTC 2012
/usr/bin/uname -p = unknown
/bin/uname -X = unknown
/bin/arch = unknown
/usr/bin/arch -k = unknown
/usr/convex/getsysinfo = unknown
/usr/bin/hostinfo = unknown
/bin/machine = unknown
/usr/bin/oslevel = unknown
/bin/universe = unknown
PATH: /usr/local/sbin
PATH: /usr/local/bin
PATH: /usr/sbin
PATH: /usr/bin
PATH: /sbin
PATH: /bin
## ———– ##
## Core tests. ##
## ———– ##
configure:1986: checking build system type
configure:2004: result: i686-pc-linux-gnu
configure:2026: checking host system type
configure:2041: result: arm-unknown-linux-gnueabi
configure:2113: checking which interface to build
configure:2201: result: Gtk+
configure:2290: checking for arm-linux-gnueabi-pkg-config
configure:2323: result: no
configure:2333: checking for pkg-config
configure:2351: found /usr/bin/pkg-config
configure:2363: result: /usr/bin/pkg-config
configure:2392: checking pkg-config is at least version 0.9.0
configure:2395: result: yes
configure:2406: checking for GLIB
configure:2414: $PKG_CONFIG –exists –print-errors “glib-2.0 >= 2.6.0 gmodule-2.0 >= 2.6.0”
configure:2417: $? = 0
configure:2432: $PKG_CONFIG –exists –print-errors “glib-2.0 >= 2.6.0 gmodule-2.0 >= 2.6.0”
configure:2435: $? = 0
configure:2511: result: yes
configure:2518: checking for GTK
configure:2526: $PKG_CONFIG –exists –print-errors “gtk+-2.0 >= 2.4.0”
configure:2529: $? = 0
configure:2544: $PKG_CONFIG –exists –print-errors “gtk+-2.0 >= 2.4.0”
configure:2547: $? = 0
configure:2623: result: yes
configure:2630: checking for XML
configure:2638: $PKG_CONFIG –exists –print-errors “libxml-2.0 >= 2.6.0”
configure:2641: $? = 0
configure:2656: $PKG_CONFIG –exists –print-errors “libxml-2.0 >= 2.6.0”
configure:2659: $? = 0
configure:2735: result: yes
configure:2741: checking for CURL
configure:2749: $PKG_CONFIG –exists –print-errors “libcurl >= 7.16.0”
configure:2752: $? = 0
configure:2767: $PKG_CONFIG –exists –print-errors “libcurl >= 7.16.0”
configure:2770: $? = 0
configure:2846: result: yes
configure:2863: checking for SSL
configure:2871: $PKG_CONFIG –exists –print-errors “openssl >= $OPENSSL_MIN_VER”
configure:2874: $? = 0
configure:2889: $PKG_CONFIG –exists –print-errors “openssl >= $OPENSSL_MIN_VER”
configure:2892: $? = 0
configure:2968: result: yes
configure:2992: checking for a BSD-compatible install
configure:3048: result: /usr/bin/install -c
configure:3059: checking whether build environment is sane
configure:3102: result: yes
configure:3130: checking for a thread-safe mkdir -p
configure:3169: result: /bin/mkdir -p
configure:3182: checking for gawk
configure:3212: result: no
configure:3182: checking for mawk
configure:3198: found /usr/bin/mawk
configure:3209: result: mawk
configure:3220: checking whether make sets $(MAKE)
configure:3241: result: yes
configure:3321: checking for arm-linux-gnueabi-strip
configure:3337: found /usr/bin/arm-linux-gnueabi-strip
configure:3348: result: arm-linux-gnueabi-strip
configure:3424: checking how to create a pax tar archive
configure:3437: tar –version
tar (GNU tar) 1.23
Copyright (C) 2010 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later .
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.
Written by John Gilmore and Jay Fenlason.
configure:3440: $? = 0
configure:3480: tardir=conftest.dir && eval tar –format=posix -chf – “$tardir” >conftest.tar
configure:3483: $? = 0
configure:3487: tar -xf – &5
arm-linux-gnueabi-gcc (Debian 4.4.5-8) 4.4.5
Copyright (C) 2010 Free Software Foundation, Inc.
This is free software; see the source for copying conditions. There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
configure:3834: $? = 0
configure:3841: arm-linux-gnueabi-gcc -v >&5
Using built-in specs.
Target: arm-linux-gnueabi
Configured with: ../src/configure -v –with-pkgversion=’Debian 4.4.5-8′ –with-bugurl=file:///usr/share/doc/gcc-4.4/README.Bugs –enable-languages=c,c++,fortran,objc,obj-c++ –prefix=/usr –program-suffix=-4.4 –enable-shared –enable-multiarch –enable-linker-build-id –with-system-zlib –libexecdir=/usr/lib –without-included-gettext –enable-threads=posix –with-gxx-include-dir=/usr/arm-linux-gnueabi/include/c++/4.4.5 –libdir=/usr/lib –enable-nls –enable-clocale=gnu –enable-libstdcxx-debug –enable-objc-gc –disable-sjlj-exceptions –enable-checking=release –program-prefix=arm-linux-gnueabi- –includedir=/usr/arm-linux-gnueabi/include –build=i486-linux-gnu –host=i486-linux-gnu –target=arm-linux-gnueabi –with-headers=/usr/arm-linux-gnueabi/include –with-libs=/usr/arm-linux-gnueabi/lib
Thread model: posix
gcc version 4.4.5 (Debian 4.4.5-8)
configure:3844: $? = 0
configure:3851: arm-linux-gnueabi-gcc -V >&5
arm-linux-gnueabi-gcc: ‘-V’ option must have argument
configure:3854: $? = 1
configure:3877: checking for C compiler default output file name
configure:3904: arm-linux-gnueabi-gcc -L/usr/arm-linux-gnueabi/lib -lboost_signals conftest.c >&5
/usr/lib/gcc/arm-linux-gnueabi/4.4.5/../../../../arm-linux-gnueabi/bin/ld: cannot find -lboost_signals
collect2: ld returned 1 exit status
configure:3907: $? = 1
configure:3945: result:
configure: failed program was:
| /* confdefs.h. */
| #define PACKAGE_NAME “VMware-view-open-client”
| #define PACKAGE_TARNAME “VMware-view-open-client-source”
| #define PACKAGE_VERSION “4.5.0-297975”
| #define PACKAGE_STRING “VMware-view-open-client 4.5.0-297975”
| #define PACKAGE_BUGREPORT “http://code.google.com/p/vmware-view-open-client/issues/entry”
| #define VIEW_GTK 1
| #define VIEW_POSIX 1
| #define PACKAGE “VMware-view-open-client-source”
| #define VERSION “4.5.0-297975″
| /* end confdefs.h. */
|
| int
| main ()
| {
|
| ;
| return 0;
| }
configure:3952: error: C compiler cannot create executables
See `config.log’ for more details.
## —————- ##
## Cache variables. ##
## —————- ##
ac_cv_build=i686-pc-linux-gnu
ac_cv_env_CCASFLAGS_set=
ac_cv_env_CCASFLAGS_value=
ac_cv_env_CCAS_set=
ac_cv_env_CCAS_value=
ac_cv_env_CCC_set=
ac_cv_env_CCC_value=
ac_cv_env_CC_set=
ac_cv_env_CC_value=
ac_cv_env_CFLAGS_set=
ac_cv_env_CFLAGS_value=
ac_cv_env_CPPFLAGS_set=
ac_cv_env_CPPFLAGS_value=
ac_cv_env_CPP_set=
ac_cv_env_CPP_value=
ac_cv_env_CURL_CFLAGS_set=
ac_cv_env_CURL_CFLAGS_value=
ac_cv_env_CURL_LIBS_set=
ac_cv_env_CURL_LIBS_value=
ac_cv_env_CXXFLAGS_set=
ac_cv_env_CXXFLAGS_value=
ac_cv_env_CXX_set=
ac_cv_env_CXX_value=
ac_cv_env_GLIB_CFLAGS_set=
ac_cv_env_GLIB_CFLAGS_value=
ac_cv_env_GLIB_LIBS_set=
ac_cv_env_GLIB_LIBS_value=
ac_cv_env_GTK_CFLAGS_set=
ac_cv_env_GTK_CFLAGS_value=
ac_cv_env_GTK_LIBS_set=
ac_cv_env_GTK_LIBS_value=
ac_cv_env_LDFLAGS_set=set
ac_cv_env_LDFLAGS_value=’-L/usr/arm-linux-gnueabi/lib -lboost_signals’
ac_cv_env_LIBS_set=
ac_cv_env_LIBS_value=
ac_cv_env_OBJCFLAGS_set=
ac_cv_env_OBJCFLAGS_value=
ac_cv_env_OBJC_set=
ac_cv_env_OBJC_value=
ac_cv_env_PKG_CONFIG_set=
ac_cv_env_PKG_CONFIG_value=
ac_cv_env_SSL_CFLAGS_set=
ac_cv_env_SSL_CFLAGS_value=
ac_cv_env_SSL_LIBS_set=
ac_cv_env_SSL_LIBS_value=
ac_cv_env_XML_CFLAGS_set=
ac_cv_env_XML_CFLAGS_value=
ac_cv_env_XML_LIBS_set=
ac_cv_env_XML_LIBS_value=
ac_cv_env_build_alias_set=
ac_cv_env_build_alias_value=
ac_cv_env_host_alias_set=set
ac_cv_env_host_alias_value=arm-linux-gnueabi
ac_cv_env_target_alias_set=set
ac_cv_env_target_alias_value=arm-linux-gnueabi
ac_cv_host=arm-unknown-linux-gnueabi
ac_cv_path_ac_pt_PKG_CONFIG=/usr/bin/pkg-config
ac_cv_path_install=’/usr/bin/install -c’
ac_cv_path_mkdir=/bin/mkdir
ac_cv_prog_AWK=mawk
ac_cv_prog_CC=arm-linux-gnueabi-gcc
ac_cv_prog_STRIP=arm-linux-gnueabi-strip
ac_cv_prog_make_make_set=yes
am_cv_prog_tar_pax=gnutar
pkg_cv_CURL_CFLAGS=’ ‘
pkg_cv_CURL_LIBS=’-lcurl ‘
pkg_cv_GLIB_CFLAGS=’-pthread -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include ‘
pkg_cv_GLIB_LIBS=’-Wl,–export-dynamic -pthread -lgmodule-2.0 -lrt -lglib-2.0 ‘
pkg_cv_GTK_CFLAGS=’-pthread -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/gio-unix-2.0/ -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include ‘
pkg_cv_GTK_LIBS=’-pthread -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lpangoft2-1.0 -lgdk_pixbuf-2.0 -lm -lpangocairo-1.0 -lcairo -lgio-2.0 -lpango-1.0 -lfreetype -lfontconfig -lgobject-2.0 -lgmodule-2.0 -lgthread-2.0 -lrt -lglib-2.0 ‘
pkg_cv_SSL_CFLAGS=’ ‘
pkg_cv_SSL_LIBS=’-lssl -lcrypto ‘
pkg_cv_XML_CFLAGS=’-I/usr/include/libxml2 ‘
pkg_cv_XML_LIBS=’-lxml2 ‘
## —————– ##
## Output variables. ##
## —————– ##
ACLOCAL=’${SHELL} /home/test/Desktop/VMware-view-open-client-source-4.5.0-297975/config/missing –run aclocal-1.10′
ADD_LICENSE=”
ALL_LINGUAS=”
AMDEPBACKSLASH=”
AMDEP_FALSE=”
AMDEP_TRUE=”
AMTAR=’${SHELL} /home/test/Desktop/VMware-view-open-client-source-4.5.0-297975/config/missing –run tar’
AR=”
AUTOCONF=’${SHELL} /home/test/Desktop/VMware-view-open-client-source-4.5.0-297975/config/missing –run autoconf’
AUTOHEADER=’${SHELL} /home/test/Desktop/VMware-view-open-client-source-4.5.0-297975/config/missing –run autoheader’
AUTOMAKE=’${SHELL} /home/test/Desktop/VMware-view-open-client-source-4.5.0-297975/config/missing –run automake-1.10′
AWK=’mawk’
BOOST_CPPFLAGS=”
BOOST_LDFLAGS=”
BOOST_SIGNALS_LIB=”
BUILD_NUMBER=”
BUILD_THINCLIENT_RPM=”
CATALOGS=”
CATOBJEXT=”
CC=’arm-linux-gnueabi-gcc’
CCAS=”
CCASDEPMODE=”
CCASFLAGS=”
CCDEPMODE=”
CFLAGS=”
CPP=”
CPPFLAGS=”
CURL_CFLAGS=’ ‘
CURL_LIBS=’-lcurl ‘
CXX=”
CXXDEPMODE=”
CXXFLAGS=”
CYGPATH_W=’echo’
DATADIRNAME=”
DATE=”
DATE_R=”
DEB_ARCH=’arm’
DEB_CONFLICTS=”
DEB_PACKAGING_NAME=”
DEB_REPLACES=”
DEFS=”
DEPDIR=”
DPKG_DEB=”
ECHO_C=”
ECHO_N=’-n’
ECHO_T=”
EGREP=”
ELSE=”
ENDIF=”
EXEEXT=”
FAKEROOT=”
GDK_PIXBUF_CSOURCE=”
GENCCODE=’/usr/sbin/genccode’
GENCCODE_ASM_TARGET=”
GENSPREP=’/usr/sbin/gensprep’
GETTEXT_PACKAGE=”
GLIB_CFLAGS=’-pthread -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include ‘
GLIB_LIBS=’-Wl,–export-dynamic -pthread -lgmodule-2.0 -lrt -lglib-2.0 ‘
GMOFILES=”
GMSGFMT=”
GREP=”
GTK_CFLAGS=’-pthread -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/gio-unix-2.0/ -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include ‘
GTK_LIBS=’-pthread -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lpangoft2-1.0 -lgdk_pixbuf-2.0 -lm -lpangocairo-1.0 -lcairo -lgio-2.0 -lpango-1.0 -lfreetype -lfontconfig -lgobject-2.0 -lgmodule-2.0 -lgthread-2.0 -lrt -lglib-2.0 ‘
GZIP=’gzip’
HDIUTIL=”
ICONS_DIR=”
ICUDATA_ENTRY_POINT=”
ICUPKG=’/usr/sbin/icupkg’
ICU_CPPFLAGS=”
ICU_LIBS=”
INSTALL_DATA=’${INSTALL} -m 644′
INSTALL_NAME_TOOL=”
INSTALL_PROGRAM=’${INSTALL}’
INSTALL_SCRIPT=’${INSTALL}’
INSTALL_STRIP_PROGRAM=’$(install_sh) -c -s’
INSTOBJEXT=”
INTLLIBS=”
INTLTOOL_CAVES_RULE=”
INTLTOOL_DESKTOP_RULE=”
INTLTOOL_DIRECTORY_RULE=”
INTLTOOL_EXTRACT=”
INTLTOOL_KBD_RULE=”
INTLTOOL_KEYS_RULE=”
INTLTOOL_MERGE=”
INTLTOOL_OAF_RULE=”
INTLTOOL_PERL=”
INTLTOOL_POLICY_RULE=”
INTLTOOL_PONG_RULE=”
INTLTOOL_PROP_RULE=”
INTLTOOL_SCHEMAS_RULE=”
INTLTOOL_SERVER_RULE=”
INTLTOOL_SERVICE_RULE=”
INTLTOOL_SHEET_RULE=”
INTLTOOL_SOUNDLIST_RULE=”
INTLTOOL_THEME_RULE=”
INTLTOOL_UI_RULE=”
INTLTOOL_UPDATE=”
INTLTOOL_XAM_RULE=”
INTLTOOL_XML_NOMERGE_RULE=”
INTLTOOL_XML_RULE=”
LDFLAGS=’-L/usr/arm-linux-gnueabi/lib -lboost_signals’
LIBOBJS=”
LIBS=”
LIB_FILE_CPPFLAGS=”
LIB_MISC_CPPFLAGS=”
LIB_SIG_CPPFLAGS=”
LIB_STRING_CPPFLAGS=”
LIB_USER_CPPFLAGS=”
LN_S=”
LTLIBOBJS=”
MAKEINFO=’${SHELL} /home/test/Desktop/VMware-view-open-client-source-4.5.0-297975/config/missing –run makeinfo’
MKINSTALLDIRS=”
MKSQUASHFS=’mksquashfs’
MSGFMT=”
MSGMERGE=”
OBJC=”
OBJCDEPMODE=”
OBJCFLAGS=”
OBJEXT=”
OTOOL=”
PACKAGE=’VMware-view-open-client-source’
PACKAGE_BUGREPORT=’http://code.google.com/p/vmware-view-open-client/issues/entry’
PACKAGE_NAME=’VMware-view-open-client’
PACKAGE_STRING=’VMware-view-open-client 4.5.0-297975′
PACKAGE_TARNAME=’VMware-view-open-client-source’
PACKAGE_VERSION=’4.5.0-297975′
PACKAGING_NAME=”
PATH_SEPARATOR=’:’
PKG_CONFIG=’/usr/bin/pkg-config’
POFILES=”
POSUB=”
PO_IN_DATADIR_FALSE=”
PO_IN_DATADIR_TRUE=”
PRODUCT_BUILD_NUMBER=”
PRODUCT_VIEW_CLIENT_NAME=”
RANLIB=”
RPMBUILD=’rpmbuild’
RPM_ARCH=’arm’
RPM_CONFLICTS=”
RPM_CONFLICTS_LITE=”
RPM_OUTPUT_DIR=”
RPM_STAGE_ROOT=”
SED=”
SET_MAKE=”
SHELL=’/bin/bash’
SSL_CFLAGS=’ ‘
SSL_LIBS=’-lssl -lcrypto ‘
STATIC_ICU_FALSE=”
STATIC_ICU_TRUE=”
STRIP=’arm-linux-gnueabi-strip’
TUNNEL_FRAMEWORKS=”
UNZIP=”
USE_NLS=”
VERSION=’4.5.0-297975′
VIEW_COCOA_FALSE=”
VIEW_COCOA_TRUE=’#’
VIEW_CVP_FALSE=”
VIEW_CVP_TRUE=’#’
VIEW_EULAS_FALSE=”
VIEW_EULAS_TRUE=’#’
VIEW_FRAMEWORKS=”
VIEW_GTK_FALSE=’#’
VIEW_GTK_TRUE=”
VIEW_PCOIP_BANNER_FALSE=”
VIEW_PCOIP_BANNER_TRUE=”
VIEW_POSIX_FALSE=’#’
VIEW_POSIX_TRUE=”
VIEW_RPM_LICENSE=’LGPLv2.1 only’
VIEW_VERSION=”
VIEW_VERSION_NUM=”
VIEW_WIN32_FALSE=”
VIEW_WIN32_TRUE=’#’
XGETTEXT=”
XML_CFLAGS=’-I/usr/include/libxml2 ‘
XML_LIBS=’-lxml2 ‘
ac_ct_CC=”
ac_ct_CXX=”
ac_ct_OBJC=”
am__fastdepCCAS_FALSE=”
am__fastdepCCAS_TRUE=”
am__fastdepCC_FALSE=”
am__fastdepCC_TRUE=”
am__fastdepCXX_FALSE=”
am__fastdepCXX_TRUE=”
am__fastdepOBJC_FALSE=”
am__fastdepOBJC_TRUE=”
am__include=”
am__isrc=”
am__leading_dot=’.’
am__quote=”
am__tar=’tar –format=posix -chf – “$$tardir”‘
am__untar=’tar -xf -‘
bindir=’${exec_prefix}/bin’
build=’i686-pc-linux-gnu’
build_alias=”
build_cpu=’i686′
build_os=’linux-gnu’
build_vendor=’pc’
datadir=’${datarootdir}’
datarootdir=’${prefix}/share’
docdir=’${datarootdir}/doc/${PACKAGE_TARNAME}’
dvidir=’${docdir}’
exec_prefix=’NONE’
host=’arm-unknown-linux-gnueabi’
host_alias=’arm-linux-gnueabi’
host_cpu=’arm’
host_os=’linux-gnueabi’
host_vendor=’unknown’
htmldir=’${docdir}’
includedir=’${prefix}/include’
infodir=’${datarootdir}/info’
install_sh=’$(SHELL) /home/test/Desktop/VMware-view-open-client-source-4.5.0-297975/config/install-sh’
libdir=’${exec_prefix}/lib’
libexecdir=’${exec_prefix}/libexec’
localedir=’${datarootdir}/locale’
localstatedir=’${prefix}/var’
mandir=’${datarootdir}/man’
mkdir_p=’/bin/mkdir -p’
oldincludedir=’/usr/include’
pdfdir=’${docdir}’
prefix=’/home/test/Desktop/armvm’
program_transform_name=’s,x,x,’
psdir=’${docdir}’
sbindir=’${exec_prefix}/sbin’
sharedstatedir=’${prefix}/com’
sysconfdir=’${prefix}/etc’
target_alias=’arm-linux-gnueabi’
## ———– ##
## confdefs.h. ##
## ———– ##
#define PACKAGE_NAME “VMware-view-open-client”
#define PACKAGE_TARNAME “VMware-view-open-client-source”
#define PACKAGE_VERSION “4.5.0-297975”
#define PACKAGE_STRING “VMware-view-open-client 4.5.0-297975”
#define PACKAGE_BUGREPORT “http://code.google.com/p/vmware-view-open-client/issues/entry”
#define VIEW_GTK 1
#define VIEW_POSIX 1
#define PACKAGE “VMware-view-open-client-source”
#define VERSION “4.5.0-297975”
configure: exit 77
@ morris
apt-get install failed.
try:
sudo /usr/share/pdebuild-cross/xapt -a armel libicu-dev libcurl3-dev libgtk2.0-0 libboost-signals-dev --force-yes
then make sure the cross libraries are installed before running ./configure
hello , thanks your help !
i got the new problem , when run
LDFLAGS=”-L/usr/arm-linux-gnueabi/lib -lboost_signals” ./configure –target=arm-linux-gnueabi \
–host=arm-linux-gnueabi –prefix=/home/jaufranc/edev/vmware-client –with-boost-signals=no
Result : checking for uidna_IDNToASCII in -licuuc… no
configure: error: libicu is required, but not found. Check config.log for details.
i had install libicu using ” apt-get install libicu-dev ” , but got the same error messages.
Any tips or hints? Thanks!
@ morris
As usual you need to check the config.log.
If uidna_IDNToASCII is really missing, then you need to cross-compile another version of libicu with the function, either a newer one or an older one.
hi , i had installed another version of libicu but got the same error.
i tried to trace the “configure” file, i discovered that the problem as below .
script source code :
fi
ac_ext=cpp
ac_cpp=’$CXXCPP $CPPFLAGS’
ac_compile=’$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5′
ac_link=’$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5′
ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
cat >conftest.$ac_ext <>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
#include
/* Override any GCC internal prototype to avoid an error.
Use char because int might match the return type of a GCC
builtin and then its argument prototype would still apply. */
#ifdef __cplusplus
extern “C”
#endif
char uidna_IDNToASCII ();
int
main ()
{
return uidna_IDNToASCII ();
;
return 0;
}
_ACEOF
rm -f conftest.$ac_objext conftest$ac_exeext
trace code ——————————————————–
~~~~~~ test : CXX = arm-linux-gnueabi-g++
~~~~~~ test : CXXFLAGS = -g -O2
~~~~~~ test : CPPFLAGS = -DBUILT_BY_root
~~~~~~ test : LDFLAGS = -L/usr/arm-linux-gnueabi/lib -lboost_signals
~~~~~~ test : ac_ext = cpp
~~~~~~ test : LIBS = -licuuc -licudata
~~~~~~ test : ac_link = $CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5
~~~~~~ test : ac_try = cc -c conftest.$ac_ext -o conftest2.$ac_objext >&5
trace code ——————————————————–
if { (ac_try=”$ac_link” &5
(eval “$ac_link”) 2>conftest.er1
ac_status=$?
grep -v ‘^ *+’ conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
echo “$as_me:$LINENO: \$? = $ac_status” >&5
(exit $ac_status); } &&& test -s conftest$ac_exeext &&
$as_test_x conftest$ac_exeext; then
{ echo “$as_me:$LINENO: result: yes” >&5
echo “${ECHO_T}yes” >&6; }
else
echo “$as_me: failed program was:” >&5
sed ‘s/^/| /’ conftest.$ac_ext >&5
{ echo “$as_me:$LINENO: result: no” >&5
echo “${ECHO_T}no” >&6; }
{ { echo “$as_me:$LINENO: error: libicu is required, but not found. Check config.log for details.” >&5
echo “$as_me: error: libicu is required, but not found. Check config.log for details.” >&2;}
{ (exit 1); exit 1; }; }
fi
Any suggestion or hint is really appreciated.
@ morris
I can’t see the error part in config.log. Maybe the best would be for you to provide me a link with your full config.log, or copy it in pastebin.com.
Thank you for this tutorial.
Could you please provide your mail address ?
@ morris
I can’t provide help by email (I usually delete those type of emails immediately), but I’m hjappy to help in the comment section.
I’ve seen your config.log. That’s the pb:
configure:10893: arm-linux-gnueabi-g++ -o conftest -g -O2 -DBUILT_BY_root -L/usr/arm-linux-gnueabi/lib -lboost_signals conftest.cpp -licuuc -licudata >&5
/usr/lib/gcc/arm-linux-gnueabi/4.4.5/../../../../arm-linux-gnueabi/bin/ld: cannot find -lstdc++
collect2: ld returned 1 exit status
You need to install ARM g++ toolchain or find out with it can’t find libstdc++.so
hi , thanks for your help .
i had through ./configure , make , make install , i copy the files to my target board , run ./vmware-view , i got error message below ,
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
/armvm/bin # ./vmware-view
./vmware-view: error while loading shared libraries: libboost_signals.so.1.42.0:
cannot open shared object file: No such file or directory
/armvm/bin #
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
How to install libcurl3 and libboost-signals1.42.0 on target board ?
i have no apt-get command on my target .
Any suggestion/hint is really appreciated.
@ morris
If you don’t have package manager on your board, you may have to cross-compile all dependencies (boost_signal, GTK, curL…).
What’s your board and Linux distribution ?
host : debian 6.0.3
Target : TI8168 EVM board
# uname -a
Linux (none) 2.6.37 #7 Mon May 28 18:07:13 CST 2012 armv7l GNU/Linux
@ morris
Yep, it seems they don’t have apt-get. I don’t know if it could be setup.
Some people appear to use opkg on TI8168 instead. I don’t know how to use it however.
Hi!
While tried to compile this I got this errors:
/usr/bin/ld: skipping incompatible /usr/arm-linux-gnueabi/lib/libboost_signals.so when searching for -lboost_signals
/usr/bin/ld: skipping incompatible /usr/arm-linux-gnueabi/lib/libboost_signals.a when searching for -lboost_signals
/usr/bin/ld: vmware_view-cdkUrl.o: Relocations in generic ELF (EM: 40)
/usr/bin/ld: vmware_view-cdkUrl.o: Relocations in generic ELF (EM: 40)
/usr/bin/ld: vmware_view-cdkUrl.o: Relocations in generic ELF (EM: 40)
/usr/bin/ld: vmware_view-cdkUrl.o: Relocations in generic ELF (EM: 40)
/usr/bin/ld: vmware_view-cdkUrl.o: Relocations in generic ELF (EM: 40)
/usr/bin/ld: vmware_view-cdkUrl.o: Relocations in generic ELF (EM: 40)
vmware_view-cdkUrl.o: could not read symbols: File in wrong format
collect2: ld returned 1 exit status
make[2]: *** [vmware-view] Error 1
make[2]: Leaving directory
/root/VMware-view-open-client-source-4.5.0-297975'
/root/VMware-view-open-client-source-4.5.0-297975′make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory
make: *** [all] Error 2
So, what could be wrong with vmware_view-cdkUrl.o ?
Thank you!
@Alexander
Can you try to export LD variable to your arm-linux-gnueabi-ld binary? It seems to use the host ld binary.
So could this be applied to a chromebook with Debian installed?
@Asanga Jay
Sure you can basically do that with any Linux device with a display.
So, have you actually connected to a VMware View server that uses PCoIP exclusively?
All the research I’ve been able to do on this says that the open client does View over RDP only. I’m exploring this as an option here at my University, and we definitely need PCoIP support.
Also, have you tested this on actual Raspberry Pi hardware? (Either Rev A or B?)
@Chad Douglas
I did have a look at setting up PCOIP servers, but it seemed overly complicated, and as I understood it it requires a license, so I gave it up. I only tried in the emulator, but anything that works in the emulator should work just fine in the actual hardware.
hi。I am so sad!When I do : xapt -a armel libicu-dev libcurl3-dev libgtk2.0-0 libboost-signals-dev。
Package libicu-dev is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source
E: Unable to locate package armel
E: Package ‘libicu-dev’ has no installation candidate
others is the same!
please help me !thank you!
@w-tom
Things change quite fast in Linux world. At least in Ubuntu, xapt is not supported anymore, and instead people use multiarch: http://www.cnx-software.com/2012/05/02/getting-started-with-multiarch-armel-armhf-in-ubuntu/
hi。i am sorry。help me once more。thank you very much。
checking whether sys/ucontext.h defines REG_EAX… no
checking unicode/uidna.h usability… no
checking unicode/uidna.h presence… no
checking for unicode/uidna.h… no
configure: error: libicu is required, but not found. Check config.log for details.
why?thank you a lot。
@w-tom
“Check config.log for details.”
./configure –target=arm-linux-gnueabi –host=arm-linux-gnueabi –prefix=/home/user/edev/vmware-client –with-boost-signals=no
Result :
checking whether sys/ucontext.h defines REG_EAX… yes
checking unicode/uidna.h usability… yes
checking unicode/uidna.h presence… yes
checking for unicode/uidna.h… yes
checking for uidna_IDNToASCII in -licuuc… no configure: error: libicu is required, but not found. Check config.log for details.
why?thank you。
@cnxsoft
configure:10888: g++ -o conftest -g -O2 -I/usr/arm/include -DBUILT_BY_root -L/usr/arm/lib conftest.cpp -lsicuuc -lsicudata >&5
/usr/bin/ld: skipping incompatible /usr/arm/lib/libsicuuc.a when searching for -lsicuuc
/usr/bin/ld: cannot find -lsicuuc
/usr/bin/ld: skipping incompatible /usr/arm/lib/libsicudata.a when searching for -lsicudata
/usr/bin/ld: cannot find -lsicudata
collect2: ld returned 1 exit status
configure:10894: $? = 1
this is the config。log
LDFLAGS=”-L/usr/arm-linux-gnueabi/lib -lboost_signals”
why do you use -lboost_signals? sorry idont konw。can you tell me。thank you
and when i do make。i meet this question 。
Unknown EABI object attribute 44
/usr/local/arm/4.3.2/bin/../lib/gcc/arm-none-linux-gnueabi/4.3.2/../../../../arm-none-linux-gnueabi/bin/ld: warning: libz.so.1, needed by /chroot/natty_armel/usr/lib/libcurl.so, not found (try using -rpath or -rpath-link)
/usr/local/arm/4.3.2/bin/../lib/gcc/arm-none-linux-gnueabi/4.3.2/../../../../arm-none-linux-gnueabi/bin/ld: Warning: /chroot/natty_armel/usr/lib/libcurl.so: Unknown EABI object attribute 44
/usr/local/arm/4.3.2/bin/../lib/gcc/arm-none-linux-gnueabi/4.3.2/../../../../arm-none-linux-gnueabi/bin/ld: Warning: /chroot/natty_armel/usr/lib/libssl.a(ssl_lib.o): Unknown EABI object attribute 44
/usr/local/arm/4.3.2/bin/../lib/gcc/arm-none-linux-gnueabi/4.3.2/../../../../arm-none-linux-gnueabi/bin/ld: Warning: /chroot/natty_armel/usr/lib/libssl.a(ssl_cert.o): Unknown EABI object attribute 44
/usr/local/arm/4.3.2/bin/../lib/gcc/arm-none-linux-gnueabi/4.3.2/../../../../arm-none-linux-gnueabi/bin/ld: Warning: /chroot/natty_armel/usr/lib/libssl.a(ssl_sess.o): Unknown EABI object attribute 44
/usr/local/arm/4.3.2/bin/../lib/gcc/arm-none-linux-gnueabi/4.3.2/../../../../arm-none-linux-gnueabi/bin/ld: Warning: /chroot/natty_armel/usr/lib/libssl.a(ssl_ciph.o): Unknown EABI object attribute 44
/usr/local/arm/4.3.2/bin/../lib/gcc/arm-none-linux-gnueabi/4.3.2/../../../../arm-none-linux-gnueabi/bin/ld: Warning: /chroot/natty_armel/usr/lib/libssl.a(s3_pkt.o): Unknown EABI object attribute 44
vmware_view-baseApp.o: In function
cdk::BaseApp::IntegrateGLibLogging()':
g_set_printerr_handler’/VMware-view-open-client-source-4.5.0-297975/baseApp.cc:110: undefined reference to
/VMware-view-open-client-source-4.5.0-297975/baseApp.cc:111: undefined reference to
g_log_set_default_handler'
cdk::BaseXml::OnSslCtx(BasicHttpRequest*, void*, void*)’:vmware_view-baseXml.o: In function
/VMware-view-open-client-source-4.5.0-297975/baseXml.cc:1071: undefined reference to
g_module_open'
g_module_symbol’/VMware-view-open-client-source-4.5.0-297975/baseXml.cc:1073: undefined reference to
/VMware-view-open-client-source-4.5.0-297975/baseXml.cc:1074: undefined reference to
g_module_close'
cdk::BaseXml::GetChildContentUInt64(_xmlNode*, char const*)’:vmware_view-baseXml.o: In function
/VMware-view-open-client-source-4.5.0-297975/baseXml.cc:1454: undefined reference to
g_ascii_strtoull'
cdk::BaseXml::Encode(std::basic_string<char, std::char_traits, std::allocator > const&)’:vmware_view-baseXml.o: In function
/VMware-view-open-client-source-4.5.0-297975/baseXml.cc:419: undefined reference to
xmlEncodeSpecialChars'
xmlFree’/VMware-view-open-client-source-4.5.0-297975/baseXml.cc:422: undefined reference to
vmware_view-baseXml.o: In function
signal3':
boost::signals::detail::signal_base::signal_base(boost::function2 const&, boost::any const&)’/chroot/natty_armel/usr/include/boost/signals/signal_template.hpp:197: undefined reference to
on Ubuntu 12.04
Error
arm-linux-gnueabi-gcc -DPACKAGE_NAME=\”VMware-view-open-client\” -DPACKAGE_TARNAME=\”VMware-view-open-client-source\” -DPACKAGE_VERSION=\”4.5.0-297975\” -DPACKAGE_STRING=\”VMware-view-open-client\ 4.5.0-297975\” -DPACKAGE_BUGREPORT=\”http://code.google.com/p/vmware-view-open-client/issues/entry\” -DVIEW_GTK=1 -DVIEW_POSIX=1 -DPACKAGE=\”VMware-view-open-client-source\” -DVERSION=\”4.5.0-297975\” -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_LOCALE_H=1 -DHAVE_LC_MESSAGES=1 -DHAVE_BIND_TEXTDOMAIN_CODESET=1 -DHAVE_GETTEXT=1 -DHAVE_DCGETTEXT=1 -DENABLE_NLS=1 -DHAVE_BOOST= -DPRODUCT_VIEW_CLIENT_NAME=\”VMware\ View\ Open\ Client\” -DVIEW_CLIENT_VERSION_NUMBER=\”4.5.0\” -DVMX86_TOOLS=1 -DVMX86_DEBUG=1 -DVMX86_DEVEL=1 -DVMX86_STATS=1 -DDEBUG_STUB_ACCESS_IO_PORTS=1 -DVMX86_LOG=1 -DDEBUG_STUB=1 -D_XOPEN_SOURCE=500 -D_BSD_SOURCE=1 -D_SVID_SOURCE=1 -D_LARGEFILE64_SOURCE=1 -D_FILE_OFFSET_BITS=64 -DHAVE_LSEEK=1 -DHAVE_UIDNA_IDNTOASCII=1 -DHAVE_DLFCN_H=1 -DHAVE_ARPA_INET_H=1 -DHAVE_LOCALTIME_R=1 -I. -I./lib/open-vm-tools/include -I./lib/bora/include -pthread -I/usr/include/gtk-2.0 -I/usr/lib/x86_64-linux-gnu/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/pango-1.0 -I/usr/include/gio-unix-2.0/ -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -DGLIBC_VERSION_21 -DGLIBC_VERSION_22 -pthread -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include -DBUILT_BY_user -g -O2 -MT lib/open-vm-tools/misc/libMisc_a-hashTable.o -MD -MP -MF lib/open-vm-tools/misc/.deps/libMisc_a-hashTable.Tpo -c -o lib/open-vm-tools/misc/libMisc_a-hashTable.o
test -f 'lib/open-vm-tools/misc/hashTable.c' || echo './'
lib/open-vm-tools/misc/hashTable.c/tmp/cc1Hc9Hu.s: Assembler messages:
/tmp/cc1Hc9Hu.s:2137: Error: selected processor does not support Thumb mode
swp r0,r5,[r6]'
/home/user/VMwareViewOpenClient/VMware-view-open-client-source-4.5.0-297975′make[2]: *** [lib/open-vm-tools/misc/libMisc_a-hashTable.o] Ошибка 1
make[2]: Выход из каталога
make[1]: *** [all-recursive] Ошибка 1
make[1]: Выход из каталога `/home/user/VMwareViewOpenClient/VMware-view-open-client-source-4.5.0-297975′
make: *** [all] Ошибка 2
What can be done?
@Serge
The includes are pointing to some x86_64 header files. This could be the reason.
I’m not sure these are normal either: -DVMX86_TOOLS=1 -DVMX86_DEBUG=1 -DVMX86_DEVEL
Looks like your system may try to build for x86 using the arm gcc compiler.